org.apache.tomcat.util.net.openssl

## Class OpenSSLImplementation

- java.lang.Object
- - org.apache.tomcat.util.net.SSLImplementation
  - - org.apache.tomcat.util.net.openssl.OpenSSLImplementation

-     public class OpenSSLImplementation
      extends SSLImplementation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenSSLImplementation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SSLSupport` | `getSSLSupport(SSLSession session)`
    `SSLUtil` | `getSSLUtil(SSLHostConfigCertificate certificate)`
    `boolean` | `isAlpnSupported()`

    - ### Methods inherited from class org.apache.tomcat.util.net.SSLImplementation

      `getInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OpenSSLImplementation

          public OpenSSLImplementation()

  - ### Method Detail

    - #### getSSLSupport

          public SSLSupport getSSLSupport(SSLSession session)

      Specified by:
        `getSSLSupport` in class `SSLImplementation`

    - #### getSSLUtil

          public SSLUtil getSSLUtil(SSLHostConfigCertificate certificate)

      Specified by:
        `getSSLUtil` in class `SSLImplementation`

    - #### isAlpnSupported

          public boolean isAlpnSupported()

      Specified by:
        `isAlpnSupported` in class `SSLImplementation`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.